无法在Ubuntu 12.04上安装Gearman

我试图通过以下命令在我的Ubuntu 12.04机器上安装Gearman

sudo apt-get install gearman-job-server libgearman-dev 
sudo apt-get install php-pear php5-dev 

上面的命令运行正常但我跑的时候

sudo pecl install gearman 

它给出了如下错误

checking whether to enable gearman support... yes, shared
found in /usr
checking for gearman_client_set_context in -lgearman... yes
checking for gearman_worker_set_server_option in -lgearman... yes
checking for gearman_job_error in -lgearman... no
configure: error: libgearman version 1.1.0 or later required
ERROR: `/tmp/pear/temp/gearman/configure' failed

我无法找到如何安装它.

最佳答案
在您的存储库中有旧版本的gearman.您需要从http://www.gearman.org/编译并安装最新版本(至少1.1.0)的源代码.然后使用pecl安装php模块将顺利进行.我在centos上有类似的问题.

转载注明原文:无法在Ubuntu 12.04上安装Gearman - 代码日志